List of all members
clan::CrashReporter Class Reference
clanCore ErrorReporting

Generates crash reports (aka. minidumps or core dumps) when the application crashes, or when requested. More...

`#include <crash_reporter.h>`

## Public Member Functions
Construction
| CrashReporter (const std::string &reports_directory, const std::string &uploader_executable=std::string())
| Constructs a crash reporter that creates crash dumps in the specified directory. More...
| ~CrashReporter ()

## Static Public Member Functions
Operations
static void | hook_thread ()
| Hooks the current thread to the crash reporter. More...
static void | invoke ()
| Force a crash. More...
static void | generate_report ()
| Generate a crash report for the current thread without terminating. More...

## Detailed Description

Generates crash reports (aka. minidumps or core dumps) when the application crashes, or when requested.

The documentation for this class was generated from the following file:

- crash_reporter.h